## org.apache.lucene.store
Class SimpleFSDirectory.SimpleFSIndexInput

    java.lang.Object
      org.apache.lucene.store.IndexInput
          org.apache.lucene.store.BufferedIndexInput
              org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  FSDirectory.FSIndexInput, NIOFSDirectory.NIOFSIndexInput

Enclosing class:
  SimpleFSDirectory

    protected static class SimpleFSDirectory.SimpleFSIndexInput

extends BufferedIndexInput

Nested Class Summary
`protected static class` `SimpleFSDirectory.SimpleFSIndexInput.Descriptor`

Field Summary
`protected int` `chunkSize`
`protected SimpleFSDirectory.SimpleFSIndexInput.Descriptor` `file`

Fields inherited from class org.apache.lucene.store.BufferedIndexInput
`buffer, BUFFER_SIZE`

Constructor Summary
`SimpleFSDirectory.SimpleFSIndexInput(java.io.File path)` Deprecated. Please use ctor taking chunkSize
`SimpleFSDirectory.SimpleFSIndexInput(java.io.File path, int bufferSize)` Deprecated. Please use ctor taking chunkSize
`SimpleFSDirectory.SimpleFSIndexInput(java.io.File path, int bufferSize, int chunkSize)`

Method Summary
`java.lang.Object` `clone()` Returns a clone of this stream.
`void` `close()` Closes the stream to further operations.
`long` `length()` The number of bytes in the file.
`protected void` `readInternal(byte[] b, int offset, int len)` IndexInput methods
`protected void` `seekInternal(long position)` Expert: implements seek.

Methods inherited from class org.apache.lucene.store.BufferedIndexInput
`getBufferSize, getFilePointer, newBuffer, readByte, readBytes, readBytes, seek, setBufferSize`

Methods inherited from class org.apache.lucene.store.IndexInput
`readChars, readInt, readLong, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected final SimpleFSDirectory.SimpleFSIndexInput.Descriptor file

### chunkSize

    protected final int chunkSize

Constructor Detail

### SimpleFSDirectory.SimpleFSIndexInput

    public SimpleFSDirectory.SimpleFSIndexInput(java.io.File path)
                                         throws java.io.IOException

  Deprecated. Please use ctor taking chunkSize

  Throws:
    `java.io.IOException`

### SimpleFSDirectory.SimpleFSIndexInput

    public SimpleFSDirectory.SimpleFSIndexInput(java.io.File path,
                                                int bufferSize)
                                         throws java.io.IOException

  Deprecated. Please use ctor taking chunkSize

  Throws:
    `java.io.IOException`

### SimpleFSDirectory.SimpleFSIndexInput

    public SimpleFSDirectory.SimpleFSIndexInput(java.io.File path,
                                                int bufferSize,
                                                int chunkSize)
                                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readInternal

    protected void readInternal(byte[] b,
                                int offset,
                                int len)
                         throws java.io.IOException

  IndexInput methods

  Specified by:
    `readInternal` in class `BufferedIndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `IndexInput`
  Closes the stream to further operations.

  Specified by:
    `close` in class `IndexInput`
  Throws:
    `java.io.IOException`

### seekInternal

    protected void seekInternal(long position)

  Description copied from class: `BufferedIndexInput`
  Expert: implements seek. Sets current position in this file, where the next `BufferedIndexInput.readInternal(byte[],int,int)` will occur.

  Specified by:
    `seekInternal` in class `BufferedIndexInput`
  See Also:
    `BufferedIndexInput.readInternal(byte[],int,int)`

### length

    public long length()

  Description copied from class: `IndexInput`
  The number of bytes in the file.

  Specified by:
    `length` in class `IndexInput`

### clone

    public java.lang.Object clone()

  Description copied from class: `IndexInput`
  Returns a clone of this stream.

  Clones of a stream access the same data, and are positioned at the same point as the stream they were cloned from.

  Expert: Subclasses must ensure that clones may be positioned at different points in the input from each other and from the stream they were cloned from.

  Overrides:
    `clone` in class `BufferedIndexInput`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.